Exec (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Exec,Exec class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Exec

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Exec

Deprecated. delegate to `Execute` instead.

public class Exec
extends Task

Executes a given command if the os platform is appropriate.

As of Ant 1.2, this class is no longer the implementation of Ant's <exec> task - it is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

Field Summary
`protected java.io.PrintWriter` | `fos` Deprecated.

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Exec()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Called by the project to let the task do its work.
`protected void` | `logFlush()` Deprecated.
`protected void` | `outputLog(java.lang.String line, int messageLevel)` Deprecated.
`protected int` | `run(java.lang.String command)` Deprecated.
`void` | `setCommand(java.lang.String command)` Deprecated.
`void` | `setDir(java.lang.String d)` Deprecated.
`void` | `setFailonerror(boolean fail)` Deprecated.
`void` | `setOs(java.lang.String os)` Deprecated.
`void` | `setOutput(java.lang.String out)` Deprecated.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fos

    protected java.io.PrintWriter fos

  Deprecated.

Constructor Detail

### Exec

    public Exec()

  Deprecated.

Method Detail

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### run

    protected int run(java.lang.String command)
               throws BuildException

  Deprecated.
    `BuildException`

### setDir

    public void setDir(java.lang.String d)

  Deprecated.

### setOs

    public void setOs(java.lang.String os)

  Deprecated.

### setCommand

    public void setCommand(java.lang.String command)

  Deprecated.

### setOutput

    public void setOutput(java.lang.String out)

  Deprecated.

### setFailonerror

    public void setFailonerror(boolean fail)

  Deprecated.

### outputLog

    protected void outputLog(java.lang.String line,
                             int messageLevel)

  Deprecated.

### logFlush

    protected void logFlush()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.